---
lang: en
title: 'API docs: testlab.handlercontextstub'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/testlab
permalink: /doc/en/lb4/apidocs.testlab.handlercontextstub.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/testlab](./testlab.md) &gt; [HandlerContextStub](./testlab.handlercontextstub.md)

## HandlerContextStub interface

<b>Signature:</b>

```typescript
export interface HandlerContextStub 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [request](./testlab.handlercontextstub.request.md) | IncomingMessage |  |
|  [response](./testlab.handlercontextstub.response.md) | ServerResponse |  |
|  [result](./testlab.handlercontextstub.result.md) | Promise&lt;[ObservedResponse](./testlab.observedresponse.md)<!-- -->&gt; |  |


